# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Class/Accessor/Fast.pm) perl(Class/C3.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(Hash/Util.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Module/CPANTS/Analyse.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(constant/abs.pm) perl(constant/def.pm) perl(inc/Module/Install.pm) perl(lib/abs.pm) perl(warnings/register.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name accessors-fast
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Compiletime accessors using Class::Accessor::Fast
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MO/MONS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module was created as an alternative to `use fields', and uses the Class::Accessor::Fast manpage as a base

Creates accessors at compiletime

Have own default `new' method: it creates object as a blessed hash, then locks keys to defined field list, and invoke `init'.
So, recommended usage inside packages, is access by hash keys (it's 3 times faster then accessor).
Since keys are locked, you will not suffer from autovivification. Public interface recommended to be documented as accessors.

Uses the Class::C3 manpage


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README author_test.sh
%perl_vendor_privlib/a*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

